Package com.google.javascript.jscomp

# Interface SourceFile.Generator

Enclosing class:
  `SourceFile`

public static interface SourceFile.Generator
A JavaScript source code provider. The value should be cached so that the source text stays consistent throughout a single compile.

## Method Summary

Modifier and Type
Method
Description
`String`
`getCode()`

## Method Details

### getCode

String getCode()